let Generator = require('aws-generator'),
    DynamoItem = Generator.DynamoItem;

class InstanceParams extends DynamoItem {
    constructor(values) {
        super({
            tablename: "loc_insts_"+process.env["region"].replace('_', "-"),
            sort_keys : {
                instance_id : 'string',
                location_id : 'string'
            }
        }, values);
    }
}


module.exports = InstanceParams;